
<?php
header('Cache-Control: no-cache');
header('Pragma: no-cache'); 


include('../conexion.php'); 

?>

<script>

    function pon_prefijo(cantidad_original) {

     alert("Cantidad no pueder ser mayor a: " +cantidad_original+" la del pedido inicial, favor verifique");
	 

	}

</script>



<?php


$codfactura=$_GET["codfacturatmp"];
$numlinea=$_GET["numlinea"];
$cantidad=$_GET["cantidad"];
$cdgbar=$_GET["cdgbar"];
$cliexe=$_GET["cliexe"];
$dcto=$_GET["descuento"];
$chkimpser=$_GET["chkimpser"];
$posicion=($numlinea*16)-30;



/////////////////////////////////////AVERIGUA LA MAC /////////////////////////////////////////////
$ipAddress=$_SERVER['REMOTE_ADDR'];
$macAddr=false;

#run the external command, break output into lines
$arp=`arp -a $ipAddress`;
$lines=explode("\n", $arp);

#look for the output line describing our IP address
foreach($lines as $line)
{
   $cols=preg_split('/\s+/', trim($line));
   if ($cols[0]==$ipAddress)
   {
    $macAddr=$cols[1];
   }
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



		
	 	$query_cantidad="SELECT codfactura,numlinea, cantidad  FROM pedidos_lineas WHERE codfactura='$codfactura' AND numlinea='$numlinea'  ";
	$rs_query_cantidad = $mysqli->query($query_cantidad);
	$fila = $rs_query_cantidad->fetch_array();
         $cantidad_original = $fila["cantidad"];	


			
			if ($macAddr=="94-be-46-9b-77-73"){ 
					$sel_lineas="SELECT * FROM pagos_parciales_lineas3 WHERE codfactura='$codfactura' AND codigo='$cdgbar' AND numlinea='$numlinea' ";
		   
		     } elseif ($macAddr=="94-be-46-b5-4f-8b") {
			  
						$sel_lineas="SELECT * FROM pagos_parciales_lineas2 WHERE codfactura='$codfactura' AND codigo='$cdgbar' AND numlinea='$numlinea' ";
						
			 }else {    /// SERVER 
			 
			 	     $sel_lineas="SELECT * FROM pagos_parciales_lineas WHERE codfactura='$codfactura' AND codigo='$cdgbar' AND numlinea='$numlinea' ";
			}	
	


if ($resultado = $mysqli->query($sel_lineas)) 


			while ($fila = $resultado->fetch_assoc()) {
				
			echo $dscart=$fila["dscart"];;
			echo $preivi=$fila["preivi"];
			echo $importe=$fila["importe"];
			echo $impuesto=$fila["impuesto"];

	$importe=$cantidad*$preivi;

	
 	if ($dcto > 0 ){
		
		$mondes=$importe*$dcto/100;
		
		} else {
			
		$mondes=0;	
			}
	
	$subtotal=$cantidad*$preivi;
	
	if ($impuesto >  0 ){
		
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
}




if ($cantidad > $cantidad_original) {
?>



	<script languaje="javascript">
	pon_prefijo("<?php echo $cantidad_original ?>");
	
	</script>
	
<?php



 							/***** SI LA  CANTIDAD DEL PAGO PARCIAL ES MAYOR A CANTIDAD_ORIGINAL  ******/
				$where="SET cantidad='$cantidad_original',chkcom=1  WHERE codfactura='$codfactura' and codigo=$cdgbar  AND numlinea='$numlinea'";
				$ip = $_SERVER['REMOTE_ADDR'] ;		
				
			if ($macAddr=="94-be-46-9b-77-73"){ 
						$sel_act="UPDATE  pagos_parciales_lineas3 ".$where;
						$mysqli->query($sel_act);
		   
		     } elseif ($macAddr=="94-be-46-b5-4f-8b") {
			  
						$sel_act="UPDATE  pagos_parciales_lineas2 ".$where;
						$mysqli->query($sel_act);
						
			 }else {    /// SERVER 
			 
			 	        $sel_act="UPDATE  pagos_parciales_lineas ".$where;
						$mysqli->query($sel_act);
			}	

						
echo "<script>parent.location.href='frame_lineas_comanda.php?codfacturatmp=".$codfactura."&cliexe=".$cliexe."&cliexe=".$cliexe."&posicion=".$posicion."&chkimpser=".$chkimpser."'</script>";

} else {
echo "<script>parent.location.href='frame_lineas_comanda.php?codfacturatmp=".$codfactura."&cliexe=".$cliexe."&cliexe=".$cliexe."&posicion=".$posicion."&chkimpser=".$chkimpser."'</script>";

$ip = $_SERVER['REMOTE_ADDR'] ;
 



 
  
	if ($macAddr=="94-be-46-9b-77-73"){ 

	
	$sel_act="UPDATE  pagos_parciales_lineas3 SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$dcto', mondes='$mondes', impuesto='$impuesto',chkcom=1 WHERE codfactura='$codfactura' and codigo=$cdgbar  AND numlinea='$numlinea'";
	$mysqli->query($sel_act);
	 $sel_ac;


	 	$query_busqueda="SELECT count(*) as filas FROM pagos_parciales_lineas3 WHERE  codfactura=$codfactura" ;
	$rs_busqueda = $mysqli->query($query_busqueda);
	$fila = $rs_busqueda->fetch_array();
         $filas = $fila["filas"];

   } elseif ($macAddr=="94-be-46-b5-4f-8b") {

	
	$sel_act="UPDATE  pagos_parciales_lineas2 SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$dcto', mondes='$mondes', impuesto='$impuesto',chkcom=1 WHERE codfactura='$codfactura' and codigo=$cdgbar  AND numlinea='$numlinea'";
	$mysqli->query($sel_act);


	 	$query_busqueda="SELECT count(*) as filas FROM pagos_parciales_lineas2 WHERE  codfactura=$codfactura" ;
	$rs_busqueda = $mysqli->query($query_busqueda);
	$fila = $rs_busqueda->fetch_array();
         $filas = $fila["filas"];
		 
		 
 }else {    /// SERVER 
 
 	$sel_act="UPDATE  pagos_parciales_lineas SET cantidad='$cantidad' ,  importe='$subtotal', dcto='$dcto', mondes='$mondes', impuesto='$impuesto',chkcom=1 WHERE codfactura='$codfactura' and codigo=$cdgbar  AND numlinea='$numlinea'";
	$mysqli->query($sel_act);


	 	$query_busqueda="SELECT count(*) as filas FROM pagos_parciales_lineas WHERE  codfactura=$codfactura" ;
	$rs_busqueda = $mysqli->query($query_busqueda);
	$fila = $rs_busqueda->fetch_array();
         $filas = $fila["filas"];
		 
 		 
  
  }  /// cierra el condicional maquina 

}

?>


		